<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package The WP Business
 */

get_header(); ?>

<div class="container">
    <?php
        $left_right = get_theme_mod( 'the_wp_business_theme_options','One Column');
        if($left_right == 'One Column'){ ?>
        <div class="col-md-12 col-sm-12" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', get_post_format() ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
    <?php }else if($left_right == 'Three Columns'){ ?>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-1');?></div>
        <div class="col-md-6 col-sm-6" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', get_post_format() ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-2');?></div>
    <?php }else if($left_right == 'Four Columns'){ ?>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-1');?></div>
        <div class="col-md-3 col-sm-3" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', get_post_format() ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-2');?></div>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-3');?></div>
    <?php }else if($left_right == 'Left Sidebar'){ ?>
        <div id="sidebar" class="col-md-4 col-sm-4"><?php dynamic_sidebar('sidebar-1');?></div>
        <div class="col-md-8 col-sm-8" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', get_post_format() ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
    <?php }else if($left_right == 'Right Sidebar'){ ?>
        <div class="col-md-8 col-sm-8" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', get_post_format() ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
        <div id="sidebar" class="col-md-4 col-sm-4"><?php dynamic_sidebar('sidebar-1');?></div>
    <?php }else if($left_right == 'Grid Layout'){ ?>
        <div class="col-md-8 col-sm-8" id="content-tg">
            <div class="bradcrumbs">
                <?php the_wp_business_the_breadcrumb(); ?>
            </div>
            <h1 class="entry-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>' ); ?></h1>
            <?php if ( have_posts() ) :/* Start the Loop */
        
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/grid-layout' ); 
            
                endwhile;
                wp_reset_postdata();
                else :

                    get_template_part( 'no-results' ); 

                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text' => __( 'Previous page', 'the-wp-business' ),
                        'next_text' => __( 'Next page', 'the-wp-business' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'the-wp-business' ) . ' </span>',
                    ) );
                ?>
            </div>
        </div>
        <div id="sidebar" class="col-md-4 col-sm-4"><?php dynamic_sidebar('sidebar-1');?></div>
    <?php } ?>
</div>

<?php get_footer(); ?>